Index: /trunk/CHANGELOG
===================================================================
--- /trunk/CHANGELOG	(revision 442)
+++ /trunk/CHANGELOG	(revision 443)
@@ -1,2 +1,7 @@
+
+ /-----------------------------------------\
+| 18 June 2009: release Version1.7b         |
+ \-----------------------------------------/
+  Bug fixes for V.1.7------
 * Changes relative to V.1.7
    - small typos in "cout" removed
@@ -10,4 +15,5 @@
    - 3 bugs removed in BField (omega*gammam ; units in r ; z_max). 
       Bfield validated.
+   - new headers in each file with full references
  /-----------------------------------------\
 | 22 May 2009: release Version1.7           |
Index: /trunk/Examples/Analysis_Ex.cpp
===================================================================
--- /trunk/Examples/Analysis_Ex.cpp	(revision 442)
+++ /trunk/Examples/Analysis_Ex.cpp	(revision 443)
@@ -4,12 +4,14 @@
 **         |  Delphes, a framework for the fast simulation  |         **
 **         |       of a  generic collider experiment        |         **
-**          \----------------------------------------------/          **
+**          \-------------  arXiv:0903.2225v1  ------------/          **
 **                                                                    **
 **                                                                    **
 **   This package uses:                                               **
 **   ------------------                                               **
-**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      ** 
-**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       ** 
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
 **   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
 **                                                                    **
 ** ------------------------------------------------------------------ **
@@ -18,16 +20,15 @@
 **   -------------                                                    **
 **                                                                    **
-**                Severine Ovyn                Xavier Rouby           ** 
-**          severine.ovyn@uclouvain.be      xavier.rouby@cern         ** 
-**                                                                    ** 
-**         Center for Particle Physics and Phenomenology (CP3)        ** 
-**                Universite catholique de Louvain (UCL)              **       
-**                     Louvain-la-Neuve, Belgium                      **            
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
 **                                                                    **
 **                      Copyright (C) 2008-2009,                      **
-**                        All rights reserved.                        **  
+**                        All rights reserved.                        **
 **                                                                    **
 ***********************************************************************/
-
 
 #include <iostream>
Index: /trunk/Examples/Convertors_Only.cpp
===================================================================
--- /trunk/Examples/Convertors_Only.cpp	(revision 442)
+++ /trunk/Examples/Convertors_Only.cpp	(revision 443)
@@ -4,12 +4,14 @@
 **         |  Delphes, a framework for the fast simulation  |         **
 **         |       of a  generic collider experiment        |         **
-**          \----------------------------------------------/          **
+**          \-------------  arXiv:0903.2225v1  ------------/          **
 **                                                                    **
 **                                                                    **
 **   This package uses:                                               **
 **   ------------------                                               **
-**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      ** 
-**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       ** 
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
 **   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
 **                                                                    **
 ** ------------------------------------------------------------------ **
@@ -18,13 +20,13 @@
 **   -------------                                                    **
 **                                                                    **
-**                Severine Ovyn                Xavier Rouby           ** 
-**          severine.ovyn@uclouvain.be      xavier.rouby@cern         ** 
-**                                                                    ** 
-**         Center for Particle Physics and Phenomenology (CP3)        ** 
-**                Universite catholique de Louvain (UCL)              **       
-**                     Louvain-la-Neuve, Belgium                      **            
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
 **                                                                    **
 **                      Copyright (C) 2008-2009,                      **
-**                        All rights reserved.                        **  
+**                        All rights reserved.                        **
 **                                                                    **
 ***********************************************************************/
Index: /trunk/Examples/Frog_on_analysis_output.cpp
===================================================================
--- /trunk/Examples/Frog_on_analysis_output.cpp	(revision 442)
+++ /trunk/Examples/Frog_on_analysis_output.cpp	(revision 443)
@@ -4,12 +4,14 @@
 **         |  Delphes, a framework for the fast simulation  |         **
 **         |       of a  generic collider experiment        |         **
-**          \----------------------------------------------/          **
+**          \-------------  arXiv:0903.2225v1  ------------/          **
 **                                                                    **
 **                                                                    **
 **   This package uses:                                               **
 **   ------------------                                               **
-**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      ** 
-**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       ** 
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
 **   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
 **                                                                    **
 ** ------------------------------------------------------------------ **
@@ -18,13 +20,13 @@
 **   -------------                                                    **
 **                                                                    **
-**                Severine Ovyn                Xavier Rouby           ** 
-**          severine.ovyn@uclouvain.be      xavier.rouby@cern         ** 
-**                                                                    ** 
-**         Center for Particle Physics and Phenomenology (CP3)        ** 
-**                Universite catholique de Louvain (UCL)              **       
-**                     Louvain-la-Neuve, Belgium                      **            
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
 **                                                                    **
 **                      Copyright (C) 2008-2009,                      **
-**                        All rights reserved.                        **  
+**                        All rights reserved.                        **
 **                                                                    **
 ***********************************************************************/
Index: /trunk/Examples/LHCO_Only.cpp
===================================================================
--- /trunk/Examples/LHCO_Only.cpp	(revision 442)
+++ /trunk/Examples/LHCO_Only.cpp	(revision 443)
@@ -4,12 +4,14 @@
 **         |  Delphes, a framework for the fast simulation  |         **
 **         |       of a  generic collider experiment        |         **
-**          \----------------------------------------------/          **
+**          \-------------  arXiv:0903.2225v1  ------------/          **
 **                                                                    **
 **                                                                    **
 **   This package uses:                                               **
 **   ------------------                                               **
-**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      ** 
-**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       ** 
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
 **   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
 **                                                                    **
 ** ------------------------------------------------------------------ **
@@ -18,13 +20,13 @@
 **   -------------                                                    **
 **                                                                    **
-**                Severine Ovyn                Xavier Rouby           ** 
-**          severine.ovyn@uclouvain.be      xavier.rouby@cern         ** 
-**                                                                    ** 
-**         Center for Particle Physics and Phenomenology (CP3)        ** 
-**                Universite catholique de Louvain (UCL)              **       
-**                     Louvain-la-Neuve, Belgium                      **            
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
 **                                                                    **
 **                      Copyright (C) 2008-2009,                      **
-**                        All rights reserved.                        **  
+**                        All rights reserved.                        **
 **                                                                    **
 ***********************************************************************/
Index: /trunk/Examples/Trigger_Only.cpp
===================================================================
--- /trunk/Examples/Trigger_Only.cpp	(revision 442)
+++ /trunk/Examples/Trigger_Only.cpp	(revision 443)
@@ -4,12 +4,14 @@
 **         |  Delphes, a framework for the fast simulation  |         **
 **         |       of a  generic collider experiment        |         **
-**          \----------------------------------------------/          **
+**          \-------------  arXiv:0903.2225v1  ------------/          **
 **                                                                    **
 **                                                                    **
 **   This package uses:                                               **
 **   ------------------                                               **
-**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      ** 
-**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       ** 
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
 **   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
 **                                                                    **
 ** ------------------------------------------------------------------ **
@@ -18,13 +20,13 @@
 **   -------------                                                    **
 **                                                                    **
-**                Severine Ovyn                Xavier Rouby           ** 
-**          severine.ovyn@uclouvain.be      xavier.rouby@cern         ** 
-**                                                                    ** 
-**         Center for Particle Physics and Phenomenology (CP3)        ** 
-**                Universite catholique de Louvain (UCL)              **       
-**                     Louvain-la-Neuve, Belgium                      **            
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
 **                                                                    **
 **                      Copyright (C) 2008-2009,                      **
-**                        All rights reserved.                        **  
+**                        All rights reserved.                        **
 **                                                                    **
 ***********************************************************************/
Index: /trunk/Examples/interface/Analysis_Ex.h
===================================================================
--- /trunk/Examples/interface/Analysis_Ex.h	(revision 442)
+++ /trunk/Examples/interface/Analysis_Ex.h	(revision 443)
@@ -7,12 +7,14 @@
 **         |  Delphes, a framework for the fast simulation  |         **
 **         |       of a  generic collider experiment        |         **
-**          \----------------------------------------------/          **
+**          \-------------  arXiv:0903.2225v1  ------------/          **
 **                                                                    **
 **                                                                    **
 **   This package uses:                                               **
 **   ------------------                                               **
-**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      ** 
-**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       ** 
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
 **   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
 **                                                                    **
 ** ------------------------------------------------------------------ **
@@ -21,16 +23,15 @@
 **   -------------                                                    **
 **                                                                    **
-**                Severine Ovyn                Xavier Rouby           ** 
-**          severine.ovyn@uclouvain.be      xavier.rouby@cern         ** 
-**                                                                    ** 
-**         Center for Particle Physics and Phenomenology (CP3)        ** 
-**                Universite catholique de Louvain (UCL)              **       
-**                     Louvain-la-Neuve, Belgium                      **            
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
 **                                                                    **
 **                      Copyright (C) 2008-2009,                      **
-**                        All rights reserved.                        **  
+**                        All rights reserved.                        **
 **                                                                    **
 ***********************************************************************/
-
 
 #include "TObject.h"
Index: /trunk/Examples/src/Analysis_Ex.cc
===================================================================
--- /trunk/Examples/src/Analysis_Ex.cc	(revision 442)
+++ /trunk/Examples/src/Analysis_Ex.cc	(revision 443)
@@ -4,12 +4,14 @@
 **         |  Delphes, a framework for the fast simulation  |         **
 **         |       of a  generic collider experiment        |         **
-**          \----------------------------------------------/          **
+**          \-------------  arXiv:0903.2225v1  ------------/          **
 **                                                                    **
 **                                                                    **
 **   This package uses:                                               **
 **   ------------------                                               **
-**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      ** 
-**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       ** 
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
 **   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
 **                                                                    **
 ** ------------------------------------------------------------------ **
@@ -18,16 +20,15 @@
 **   -------------                                                    **
 **                                                                    **
-**                Severine Ovyn                Xavier Rouby           ** 
-**          severine.ovyn@uclouvain.be      xavier.rouby@cern         ** 
-**                                                                    ** 
-**         Center for Particle Physics and Phenomenology (CP3)        ** 
-**                Universite catholique de Louvain (UCL)              **       
-**                     Louvain-la-Neuve, Belgium                      **            
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
 **                                                                    **
 **                      Copyright (C) 2008-2009,                      **
-**                        All rights reserved.                        **  
+**                        All rights reserved.                        **
 **                                                                    **
 ***********************************************************************/
-
 
 #include "Examples/interface/Analysis_Ex.h"
Index: /trunk/Examples/src/Analysis_ExLinkDef.h
===================================================================
--- /trunk/Examples/src/Analysis_ExLinkDef.h	(revision 442)
+++ /trunk/Examples/src/Analysis_ExLinkDef.h	(revision 443)
@@ -4,12 +4,14 @@
 **         |  Delphes, a framework for the fast simulation  |         **
 **         |       of a  generic collider experiment        |         **
-**          \----------------------------------------------/          **
+**          \-------------  arXiv:0903.2225v1  ------------/          **
 **                                                                    **
 **                                                                    **
 **   This package uses:                                               **
 **   ------------------                                               **
-**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      ** 
-**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       ** 
+**   ROOT: Nucl. Inst. & Meth. in Phys. Res. A389 (1997) 81-86        **
+**   FastJet algorithm: Phys. Lett. B641 (2006) [hep-ph/0512210]      **
+**   Hector: JINST 2:P09005 (2007) [physics.acc-ph:0707.1198v2]       **
 **   FROG: [hep-ex/0901.2718v1]                                       **
+**   HepMC: Comput. Phys. Commun.134 (2001) 41                        **
 **                                                                    **
 ** ------------------------------------------------------------------ **
@@ -18,16 +20,15 @@
 **   -------------                                                    **
 **                                                                    **
-**                Severine Ovyn                Xavier Rouby           ** 
-**          severine.ovyn@uclouvain.be      xavier.rouby@cern         ** 
-**                                                                    ** 
-**         Center for Particle Physics and Phenomenology (CP3)        ** 
-**                Universite catholique de Louvain (UCL)              **       
-**                     Louvain-la-Neuve, Belgium                      **            
+**                Severine Ovyn                Xavier Rouby           **
+**          severine.ovyn@uclouvain.be      xavier.rouby@cern         **
+**                                                                    **
+**         Center for Particle Physics and Phenomenology (CP3)        **
+**                Universite catholique de Louvain (UCL)              **
+**                     Louvain-la-Neuve, Belgium                      **
 **                                                                    **
 **                      Copyright (C) 2008-2009,                      **
-**                        All rights reserved.                        **  
+**                        All rights reserved.                        **
 **                                                                    **
 ***********************************************************************/
-
 
 #include "Examples/interface/Analysis_Ex.h"
